# Token Onboarding

## Token **Listing & Updating**

We will automatically list pools for the DEXes and chains that we support. There is no liquidity threshold for the pools to be listed and we do not charge a listing fee for new tokens or pools.&#x20;

If a pool does not show up on Coinhall within 60 minutes of pool creation of a supported DEX, it usually means that at least one token within the pool is missing essential metadata (eg. number of decimals). Follow the troubleshooting steps below to ensure that your token has the correct on-chain metadata.

<details>

<summary>Troubleshooting steps</summary>

**For tokenfactory tokens**, use the following query:

```bash
seid query bank denom-metadata \\
  --denom='REPLACE_ME_WITH_CA' \\
  --node='<https://sei-rpc.polkachu.com:443>' \\
  --output='json' | jq
```

And ensure that the output looks like the following:

```jsx
{
  "metadata": {
    "description": "",
    "denom_units": [
      // The first item always exists by default
      {
        "denom": "factory/sei1...111/abc",
        "exponent": 0,
        "aliases": [
          "uabc"
        ]
      },

      // The second item is the important field and MUST be present!
      {
        "denom": "abc",
        "exponent": 6, // number of decimals that we will use
        "aliases": [
          "abc"
        ]
      }
    ],
    "base": "factory/sei1...111/abc",
    "display": "abc",
    "name": "abc",
    "symbol": "ABC"
  }
}
```

**For CW20 tokens**, use the following query:

```bash
seid query wasm contract-state smart REPLACE_ME_WITH_CA '{"token_info":{}}' \\
  --node='<https://sei-rpc.polkachu.com:443>' \\
  --output='json' | jq
```

And ensure that the output looks like the following:

```jsx
{
  "data": {
    "name": "abc",
    "symbol": "ABC",
    "decimals": 6, // This is the important field
    "total_supply": "12345"
  }
}
```

</details>

We will no longer take request to update token information manually and will solely be using onchain information of tokens.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coinhall.org/for-developers/token-onboarding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
